# Dummy

## Introduction

The Dummy Extension provides several placeholder type handlers to either mock operations or provide local-only usage during development. A perfect example is the [`DummyMailHandler`](http://cement.readthedocs.io/en/3.0/api/ext/ext_dummy/#cement.ext.ext_dummy.DummyMailHandler) that can be use during development or staging to prevent real email messages from being sent externally.

**API References:**

* [Cement Dummy Extension](http://cement.readthedocs.io/en/3.0/api/ext/ext_dummy/)

## Requirements

* No external dependencies

## Configuration

**DummyMailHandler**

This extension supports the following configuration settings under a `[mail.dummy]` configuration section:

| **Setting**         | **Description**                                                                                       |
| ------------------- | ----------------------------------------------------------------------------------------------------- |
| **to**              | Default recipient address (list, or comma separated depending on the config handler in use).          |
| **from\_addr**      | Default sender address                                                                                |
| **cc**              | Default carbon-copy addresses (list, or comma separated depending on the config handler in use)       |
| **bcc**             | Default blind-carbon-copy addresses (list, or comma separated depending on the config handler in use) |
| **subject**         | Default subject line                                                                                  |
| **subject\_prefix** | Additional string to prepend to the subject line of all messages                                      |

## Usage

{% tabs %}
{% tab title="Example: Using Dummy Extension" %}

```python
from cement import App

class MyApp(App):
    class Meta:
        label = 'myapp'
        extensions = ['dummy']
        output_handler = 'dummy'
        template_handler = 'dummy'
        mail_handler = 'dummy'

with MyApp() as app:
    app.run()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.builtoncement.com/extensions/dummy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
